public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: Set the systemd-bootchart-and-similar test not to run in RHEL < 8.4
@ 2026-09-11 13:18 Zdenek Pytela
0 siblings, 0 replies; only message in thread
From: Zdenek Pytela @ 2026-09-11 13:18 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : e4d8da99b101d8c6b064dbd16e66be0dac81854a
Author : Zdenek Pytela <zpytela@redhat.com>
Date : 2020-07-14T14:54:50+00:00
Stats : +6/-1 in 2 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/e4d8da99b101d8c6b064dbd16e66be0dac81854a?branch=pr775-checkpolicy-revdeps
Log:
Set the systemd-bootchart-and-similar test not to run in RHEL < 8.4
The systemd-bootchart-and-similar test was added to test the fix
for the systemd-bootchart service in Fedora 31 and newer. In RHEL,
this fix has not been applied yet, so the test is not relevant
and needs to be skipped.
---
diff --git a/selinux-policy/systemd-bootchart-and-similar/main.fmf b/selinux-policy/systemd-bootchart-and-similar/main.fmf
index b0d45b8..4b59e45 100644
--- a/selinux-policy/systemd-bootchart-and-similar/main.fmf
+++ b/selinux-policy/systemd-bootchart-and-similar/main.fmf
@@ -1,3 +1,2 @@
path: /selinux-policy/systemd-bootchart-and-similar
tier: 2
-
diff --git a/selinux-policy/systemd-bootchart-and-similar/runtest.sh b/selinux-policy/systemd-bootchart-and-similar/runtest.sh
index ab08646..83e7dda 100755
--- a/selinux-policy/systemd-bootchart-and-similar/runtest.sh
+++ b/selinux-policy/systemd-bootchart-and-similar/runtest.sh
@@ -40,6 +40,12 @@ PROCESS_NAME="systemd-bootchart"
PROCESS_CONTEXT="systemd_bootchart_t"
rlJournalStart
+ if ! rlIsFedora && ! rlIsRHEL ">8.3"; then
+ rlLog "Not applicable to this OS version."
+ rlJournalEnd
+ exit 0
+ fi
+
rlPhaseStartSetup
rlRun "rlImport 'selinux-policy/common'"
rlSESatisfyRequires
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:18 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:18 [tests/selinux] pr775-checkpolicy-revdeps: Set the systemd-bootchart-and-similar test not to run in RHEL < 8.4 Zdenek Pytela
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox